> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update the SMTP settings for an organization

PATCH https://api.sigmacomputing.com/v2/organizations/settings/smtp
Content-Type: application/json

Configure the custom SMTP server used to send email on behalf of the organization.
### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned an account type with the **Manage email branding** permission enabled.
- To read or update SMTP settings for a tenant organization, use [impersonation](/docs/impersonate-users) to obtain a token for that tenant, then call this endpoint with that token.
- Sigma tests the connection before saving the settings.
- Omitted branding fields retain their existing values.

Reference: https://help.sigmacomputing.com/reference/update-smtp-settings

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Body (application/json)

This endpoint expects an object.

- `host` (string, required) — Hostname or IP address of the custom SMTP server.
- `port` (string, required) — Port of the custom SMTP server, e.g. "587".
- `username` (string, required) — Username used to authenticate with the SMTP server.
- `senderEmail` (string, required) — Email address that outgoing mail is sent from.
- `password` (string, required) — Password used to authenticate with the SMTP server. This value is never returned.
- `senderName` (string, optional) — Display name that outgoing mail is sent from.
- `globalBccAddresses` (list of string, optional) — Email addresses included as default Bcc recipients.
- `replyToAddress` (string, optional, nullable) — Email address that recipients' replies are sent to, or `null` if unset.

## Response

### 200

The response body.

- `host` (string, required) — Hostname or IP address of the custom SMTP server.
- `port` (string, required) — Port of the custom SMTP server, e.g. "587".
- `username` (string, required) — Username used to authenticate with the SMTP server.
- `senderEmail` (string, required) — Email address that outgoing mail is sent from.
- `senderName` (string, required) — Display name that outgoing mail is sent from.
- `globalBccAddresses` (list of string, required) — Email addresses included as default Bcc recipients.
- `replyToAddress` (string, required, nullable) — Email address that recipients' replies are sent to, or `null` if unset.

## Examples

**Request**

```json
{
  "host": "string",
  "port": "string",
  "username": "string",
  "senderEmail": "string",
  "password": "string"
}
```

**Response**

```json
{
  "host": "string",
  "port": "string",
  "username": "string",
  "senderEmail": "string",
  "senderName": "string",
  "globalBccAddresses": [
    "string"
  ],
  "replyToAddress": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/organizations/settings/smtp"

payload = {
    "host": "string",
    "port": "string",
    "username": "string",
    "senderEmail": "string",
    "password": "string"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/organizations/settings/smtp';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"host":"string","port":"string","username":"string","senderEmail":"string","password":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/organizations/settings/smtp"

	payload := strings.NewReader("{\n  \"host\": \"string\",\n  \"port\": \"string\",\n  \"username\": \"string\",\n  \"senderEmail\": \"string\",\n  \"password\": \"string\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/organizations/settings/smtp")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"host\": \"string\",\n  \"port\": \"string\",\n  \"username\": \"string\",\n  \"senderEmail\": \"string\",\n  \"password\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/organizations/settings/smtp")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"host\": \"string\",\n  \"port\": \"string\",\n  \"username\": \"string\",\n  \"senderEmail\": \"string\",\n  \"password\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/organizations/settings/smtp', [
  'body' => '{
  "host": "string",
  "port": "string",
  "username": "string",
  "senderEmail": "string",
  "password": "string"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/organizations/settings/smtp");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"host\": \"string\",\n  \"port\": \"string\",\n  \"username\": \"string\",\n  \"senderEmail\": \"string\",\n  \"password\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "host": "string",
  "port": "string",
  "username": "string",
  "senderEmail": "string",
  "password": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/organizations/settings/smtp")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```